LINUX.ORG.RU

Неправильная кодировка ICQ-транспорта для клиентов ICQ Lite

 , ,


0

2

Проблема недавняя, по крайней мере ей не более 1 месяца. Некоторым моим контактам в аське стали от меня получать крякозябры, причем я от них ответы получаю вполне нормальные. Все эти люди используют ICQ Lite, а с пользователями QIP такой проблемы не наблюдается. Пользуюсь аськой через транспорт собственного Jabber-сервера (Openfire + Kraken IM Gateway). Кодировка у меня, естественно, стоит Windows-1251. Один человек с ICQ Lite мне писал, что каким-то образом он от меня получает в кодировке Windows-1252.
В качестве клиента использую Psi+, которую собрал из Git еще летом, в июле, и до самых недавних пор его не обновлял. Поначалу такой проблемы вообще не было, а появилась она совсем недавно, еще даже месяц назад ее не было.
Вопрос вот в чем, как это пофиксить? За последний месяц обновлялся протокол ICQ? Я у себя ничего не обновлял. Транспорт не мог обновлять, потому что новые версии с 2011 года не выпускались, а Psi+ обновил только пару дней назад уже при возникшей проблеме, Надеялся, поможет, но не помогло.
Сами понимаете, я не могу диктовать этим людям пересесть со своего ICQ Lite на что-нибудь более вменяемое, а аська мне нужна как рабочий инструмент и эти люди тоже (коллеги по работе). Поэтому возникшую проблему надо каким-то образом фиксить.

★★★★★

Ответ на: комментарий от Rinaldus

Это ведь нестандартная кодировка для аськи вообще.

С 6-й версии вроде как она юникодна. Вот UTF8 там или что другое - не скажу.

Может просто теперь дропнули поддержку не-юникода?

YAR ★★★★★ ()
Ответ на: комментарий от Rinaldus

Я в Empathy ставлю для ICQ всегда UTF-8, проблем не замечал.

Pakostnik ★★★ ()
Ответ на: комментарий от nbw

Решил проблему, поставив вместо связки Openfire+Kraken связку Ejabberd+PyICQt. Все работает идеально, в том числе и с пользователями ICQ Lite. :)

Rinaldus ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.